Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QFont.Weight

    java.lang.Object
      java.lang.Enum<QFont.Weight>
          com.trolltech.qt.gui.QFont.Weight

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QFont.Weight>

Enclosing class:
  QFont

    public static enum QFont.Weight

extends java.lang.Enum<QFont.Weight>
implements QtEnumerator

Qt uses a weighting scale from 0 to 99 similar to, but not the same as, the scales used in Windows or CSS. A weight of 0 is ultralight, whilst 99 will be an extremely black.

This enum contains the predefined font weights:

Constant | Value | Description
--- | --- | ---
`Light` | `25` | 25
`Normal` | `50` | 50
`DemiBold` | `63` | 63
`Bold` | `75` | 75
`Black` | `87` | 87

Enum Constant Summary
`Black` 87
`Bold` 75
`DemiBold` 63
`Light` 25
`Normal` 50

Method Summary
`static QFont.Weight` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFont.Weight` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QFont.Weight[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Light

    public static final QFont.Weight Light

  25

### Normal

    public static final QFont.Weight Normal

  50

### DemiBold

    public static final QFont.Weight DemiBold

  63

### Bold

    public static final QFont.Weight Bold

  75

### Black

    public static final QFont.Weight Black

  87

Method Detail

### values

    public static final QFont.Weight[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QFont.Weight c : QFont.Weight.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QFont.Weight valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFont.Weight resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD